<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRollsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rolls', function (Blueprint $table) {
            $table->id();
            $table->foreignId('design_id')->nullable()->constrained('designs')->onDelete('cascade');
            $table->foreignId('product_id')->nullable()->constrained('products')->onDelete('cascade');
            $table->foreignId('processing_house_id')->nullable()->constrained('processing_houses')->onDelete('cascade');
            $table->string('roll_no')->nullable();
            $table->string('weight')->nullable();
            $table->string('mtrs')->nullable();
            $table->string('lum_no')->nullable();
            $table->string('creation_date')->nullable();
            $table->string('received_date')->nullable();
            $table->string('received_mtrs')->nullable();
            $table->string('shrinkage_percent')->nullable();
            $table->string('lot_no')->nullable();
            $table->string('cut_report_status')->nullable();
            $table->string('weight_after_cut')->nullable();
            $table->string('mtrs_after_cut')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rolls');
    }
}
